org.jbpm.services.task.commands

## Class AddTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
    - - org.jbpm.services.task.commands.AddTaskCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Long>, org.kie.api.command.Command<Long>

      public class AddTaskCommand
      extends UserGroupCallbackTaskCommand<Long>

  Operation.Start : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner ], setNewOwnerToUser = true, newStatus = Status.InProgress }, new OperationCommand().{ status = [ Status.Reserved ], allowed = [ Allowed.Owner ], newStatus = Status.InProgress } ], *
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddTaskCommand()`
    `AddTaskCommand(org.kie.api.task.model.Task task, org.kie.internal.task.api.model.ContentData data)`
    `AddTaskCommand(org.kie.api.task.model.Task task, Map<String,Object> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.api.runtime.Context cntxt)`
    `org.kie.internal.task.api.model.ContentData` | `getData()`
    `JaxbTask` | `getJaxbTask()`
    `Map<String,Object>` | `getParams()`
    `org.kie.api.task.model.Task` | `getTask()`
    `void` | `setData(org.kie.internal.task.api.model.ContentData data)`
    `void` | `setJaxbTask(JaxbTask jaxbTask)`
    `void` | `setParams(Map<String,Object> params)`
    `void` | `setTask(org.kie.api.task.model.Task task)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AddTaskCommand

          public AddTaskCommand()

    - #### AddTaskCommand

          public AddTaskCommand(org.kie.api.task.model.Task task,
                                Map<String,Object> params)

    - #### AddTaskCommand

          public AddTaskCommand(org.kie.api.task.model.Task task,
                                org.kie.internal.task.api.model.ContentData data)

  - ### Method Detail

    - #### execute

          public Long execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Long>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Long>`

    - #### getJaxbTask

          public JaxbTask getJaxbTask()

    - #### setJaxbTask

          public void setJaxbTask(JaxbTask jaxbTask)

    - #### getTask

          public org.kie.api.task.model.Task getTask()

    - #### setTask

          public void setTask(org.kie.api.task.model.Task task)

    - #### getParams

          public Map<String,Object> getParams()

    - #### setParams

          public void setParams(Map<String,Object> params)

    - #### getData

          public org.kie.internal.task.api.model.ContentData getData()

    - #### setData

          public void setData(org.kie.internal.task.api.model.ContentData data)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.